classification
Title: IDLE 3.2 is crashing multiple times
Type: crash Stage: resolved
Components: macOS Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE crashes selecting Preferences menu with OS X ActiveState Tcl/Tk 8.5.12.1
View: 15853
Assigned To: ned.deily Nosy List: Omanand.Jha.Vatsa, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2012-09-25 03:44 by Omanand.Jha.Vatsa, last changed 2012-09-27 03:54 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
Python_2012-09-24-234004_BLMACPRO3137C.crash Omanand.Jha.Vatsa, 2012-09-25 03:44 Diagnostic log
Messages (5)
msg171212 - (view) Author: Omanand Jha Vatsa (Omanand.Jha.Vatsa) Date: 2012-09-25 03:44
Crashed multiple times on clicking Preferences in IDLE menu. It is crashing while trying to copying things from the IDLE shell.
msg171213 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-09-25 04:08
This is due to a bug in the current Cocoa Tk as released in ActiveTcl 8.5.12.1 (and 8.5.12).  Try installing the previous ActiveTcl version, 8.5.11.1, which I just discovered is still available here:

http://downloads.activestate.com/ActiveTcl/releases/8.5.11.1/
msg171226 - (view) Author: Omanand Jha Vatsa (Omanand.Jha.Vatsa) Date: 2012-09-25 06:41
I have tried re-installing to 8.5.11.1. Still same issue. I am on Mac OSX 10.7.4 version.
msg171227 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-09-25 06:57
Odd, it works for me. Check to make sure it really got installed:

$ cd /Library/Frameworks/Tk.framework/
$ grep PATCH tkConfig.sh 
TK_PATCH_LEVEL='.11'

You could manually delete the frameworks and try installing again:

$ cd /Library/Frameworks
$ sudo rm -r ./Tcl.framework
$ sudo rm -r ./Tk.framework
msg171365 - (view) Author: Omanand Jha Vatsa (Omanand.Jha.Vatsa) Date: 2012-09-27 03:53
Thanks Ned. It is working for me now. Followed your steps to verify the version. Thanks again.
History
Date User Action Args
2012-09-27 03:54:42ned.deilysetstatus: open -> closed
stage: resolved
2012-09-27 03:53:50Omanand.Jha.Vatsasetmessages: + msg171365
2012-09-25 06:57:11ned.deilysetmessages: + msg171227
2012-09-25 06:41:28Omanand.Jha.Vatsasetstatus: pending -> open

messages: + msg171226
2012-09-25 04:08:11ned.deilysetstatus: open -> pending

superseder: IDLE crashes selecting Preferences menu with OS X ActiveState Tcl/Tk 8.5.12.1
assignee: ronaldoussoren -> ned.deily

nosy: + ned.deily
messages: + msg171213
resolution: duplicate
2012-09-25 03:44:56Omanand.Jha.Vatsacreate